Author: Vasyl Gello <vasek.gello@gmail.com>
Forwarded: not-needed
Subject: Use system libtinyxml2

---


--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -4,6 +4,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
 find_package(Kodi REQUIRED)
+find_package(TinyXML2 REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR})
@@ -79,13 +80,6 @@
 source_group("Source Files\\timeshift" FILES ${VBOX_SOURCES_TIMESHIFT})
 source_group("Source Files\\xmltv" FILES ${VBOX_SOURCES_XMLTV})
 
-# Library files
-set(VBOX_LIBRARIES_TINYXML2
-                lib/tinyxml2/tinyxml2.h
-                lib/tinyxml2/tinyxml2.cpp)
-
-source_group("Library Files\\tinyxml2" FILES ${VBOX_LIBRARIES_TINYXML2})
-
 # Resource files
 set(VBOX_RESOURCES
                 README.md
@@ -105,8 +99,7 @@
                 ${VBOX_SOURCES_VBOX_RESPONSE}
                 ${VBOX_SOURCES_TIMESHIFT}
                 ${VBOX_SOURCES_XMLTV}
-                ${VBOX_RESOURCES}
-                ${VBOX_LIBRARIES_TINYXML2})
+                ${VBOX_RESOURCES})
 
 build_addon(pvr.vbox VBOX DEPLIBS)
 
--- /dev/null
+++ b/FindTinyXML2.cmake
@@ -0,0 +1,27 @@
+# - Find TinyXML2
+# Find the native TinyXML2 includes and library
+#
+#   TINYXML2_FOUND        - True if TinyXML2 found.
+#   TINYXML2_INCLUDE_DIRS - where to find tinyxml2.h, etc.
+#   TINYXML2_LIBRARIES    - List of libraries when using TinyXML2.
+#
+
+find_package(PkgConfig)
+if(PKG_CONFIG_FOUND)
+  pkg_check_modules(PC_TINYXML2 tinyxml2 QUIET)
+endif()
+
+find_path(TINYXML2_INCLUDE_DIR tinyxml2.h PATHS ${PC_TINYXML2_INCLUDEDIR})
+find_library(TINYXML2_LIBRARY NAMES tinyxml2 PATHS ${PC_TINYXML2_LIBDIR})
+
+include(FindPackageHandleStandardArgs)
+find_package_handle_standard_args(TinyXML2
+                                  REQUIRED_VARS TINYXML2_LIBRARY TINYXML2_INCLUDE_DIR
+                                  VERSION_VAR ${PC_TINYXML2_VERSION})
+
+if(TINYXML2_FOUND)
+  set(TINYXML2_INCLUDE_DIRS ${TINYXML2_INCLUDE_DIR})
+  set(TINYXML2_LIBRARIES ${TINYXML2_LIBRARY})
+endif()
+
+mark_as_advanced(TINYXML2_INCLUDE_DIR TINYXML2_LIBRARY)
--- a/src/vbox/CategoryGenreMapper.cpp
+++ b/src/vbox/CategoryGenreMapper.cpp
@@ -17,7 +17,7 @@
 #include <kodi/General.h>
 #include <kodi/addon-instance/pvr/EPG.h>
 #include <kodi/tools/StringUtils.h>
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 // using namespace xmltv;
 using namespace kodi::tools;
@@ -69,7 +69,7 @@
     std::unique_ptr<std::string> contents = utilities::ReadFileContents(fileHandle);
 
     // Try to parse the document
-    if (document.Parse(contents->c_str(), contents->size()) != XML_NO_ERROR)
+    if (document.Parse(contents->c_str(), contents->size()) != XML_SUCCESS)
       throw vbox::InvalidXMLException("XML parsing failed: " + std::string(document.ErrorName()));
 
     // Create mappings
--- a/src/vbox/GuideChannelMapper.cpp
+++ b/src/vbox/GuideChannelMapper.cpp
@@ -14,7 +14,7 @@
 
 #include <memory>
 
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 using namespace vbox;
 using namespace tinyxml2;
@@ -75,7 +75,7 @@
     std::unique_ptr<std::string> contents = utilities::ReadFileContents(fileHandle);
 
     // Try to parse the document
-    if (document.Parse(contents->c_str(), contents->size()) != XML_NO_ERROR)
+    if (document.Parse(contents->c_str(), contents->size()) != XML_SUCCESS)
       throw vbox::InvalidXMLException("XML parsing failed: " + std::string(document.ErrorName()));
 
     // Create mappings
--- a/src/vbox/response/Content.cpp
+++ b/src/vbox/response/Content.cpp
@@ -14,7 +14,7 @@
 #include "../../xmltv/Utilities.h"
 #include "../Channel.h"
 
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 using namespace tinyxml2;
 using namespace vbox;
--- a/src/vbox/response/Response.h
+++ b/src/vbox/response/Response.h
@@ -12,7 +12,7 @@
 #include <memory>
 #include <string>
 
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 namespace vbox
 {
--- a/src/xmltv/Guide.cpp
+++ b/src/xmltv/Guide.cpp
@@ -16,7 +16,7 @@
 #include <algorithm>
 
 #include <kodi/tools/StringUtils.h>
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 using namespace kodi::tools;
 using namespace xmltv;
--- a/src/xmltv/Programme.cpp
+++ b/src/xmltv/Programme.cpp
@@ -11,7 +11,7 @@
 
 #include "Utilities.h"
 
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 using namespace xmltv;
 using namespace tinyxml2;
--- a/src/xmltv/Utilities.cpp
+++ b/src/xmltv/Utilities.cpp
@@ -15,7 +15,7 @@
 #include <sstream>
 #include <stdexcept>
 
-#include <lib/tinyxml2/tinyxml2.h>
+#include <tinyxml2.h>
 
 using namespace xmltv;
 
--- a/src/vbox/response/Response.cpp
+++ b/src/vbox/response/Response.cpp
@@ -32,7 +32,7 @@
 void Response::ParseRawResponse(const std::string& rawResponse)
 {
   // Try to parse the response as XML
-  if (m_document->Parse(rawResponse.c_str(), rawResponse.size()) != XML_NO_ERROR)
+  if (m_document->Parse(rawResponse.c_str(), rawResponse.size()) != XML_SUCCESS)
     throw vbox::InvalidXMLException("XML parsing failed: " + std::string(m_document->ErrorName()));
 
   // Parse the response status
